---
title: 'RangeError: invalid date'
slug: Web/JavaScript/Reference/Errors/Invalid_date
tags:
  - Error
  - Errors
  - JavaScript
  - RangeError
---
<div>{{jsSidebar("Errors")}}</div>

<p>The JavaScript exception "invalid date" occurs when a string leading to an invalid date has been provided to {{jsxref("Date")}} or {{jsxref("Date.parse()")}}.</p>

<h2 id="Message">Message</h2>

<pre class="syntaxbox">RangeError: invalid date (Edge)
RangeError: invalid date (Firefox)
RangeError: invalid time value (Chrome)
RangeError: Provided date is not in valid range (Chrome)
</pre>

<h2 id="Error_type">Error type</h2>

<p>{{jsxref("RangeError")}}</p>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>A string leading to an invalid date has been provided to {{jsxref("Date")}} or {{jsxref("Date.parse()")}}.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Invalid_cases">Invalid cases</h3>

<p>Unrecognizable strings or dates containing illegal element values in ISO formatted strings usually return {{jsxref("NaN")}}. However, depending on the implementation, non–conforming ISO format strings, may also throw <code>RangeError: invalid date</code>, like the following cases in Firefox:</p>

<pre class="brush: js example-bad">new Date('foo-bar 2014');
new Date('2014-25-23').toISOString();
new Date('foo-bar 2014').toString();
</pre>

<p>This, however, returns {{jsxref("NaN")}} in Firefox:</p>

<pre class="brush: js example-bad">Date.parse('foo-bar 2014'); // NaN</pre>

<p>For more details, see the {{jsxref("Date.parse()")}} documentation.</p>

<h3 id="Valid_cases">Valid cases</h3>

<pre class="brush: js example-good">new Date('05 October 2011 14:48 UTC');
new Date(1317826080); // Unix Time Stamp for 05 October 2011 14:48:00 UTC</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date")}}</li>
 <li>{{jsxref("Date.prototype.parse()")}}</li>
 <li>{{jsxref("Date.prototype.toISOString()")}}</li>
</ul>
